Subject: RE: Additional thoughts on text transfers

From: Richard Whalen <[email-masked]>
Date: Fri, 29 Mar 2002 09:34:12 -0500

> -----Original Message-----
> From: Niels Provos [mailto:[email-masked]]
> Sent: Friday, March 29, 2002 9:00 AM
> To: Richard Whalen
> Cc: [email-masked]'
> Subject: Re: Additional thoughts on text transfers
> 
> 
> On Fri, Mar 29, 2002 at 08:50:05AM -0500, Richard Whalen wrote:
> > Since modern day files may be encoded in a variety of 
> textual formats the
> > client and server need to come to an agreement on a format 
> when exchanging
> > text files.
> I disagree.  You are adding complexity without any significant gain.
> I never had any problems transfering text files as binary files
> between different operating systems.  Most applications are aware of
> the different encodings anyway.  For the rare case that they are not,
> you can always convert to your format manually.
> 
> I see absolutely no need to burden sftp with this issue.
> 
> Niels.
> 

And what kinds of systems have you exchanged text files with?  Ever try VMS?
The majority of text files on VMS systems are stored as variable length
record files with implied line separators.  In most files there is a 2 byte
record length between each record, that does not provide carriage control.

---

From: Niels Provos <[email-masked]>
Date: Fri, 29 Mar 2002 09:39:59 -0500

> record length between each record, that does not provide carriage control.
Yes, I actually helped with the system administration of a VMS cluster
for a few years.

There is a canonical representations of text files that your
implementation may use.  Also, you can always set the record length
manually after you transfered your file if the application did not do
it for you.  I am sure that your problems can be solved without
changing the wire protocol.

Niels.

---

From: nico <[email-masked]>
Date: Sun, 31 Mar 2002 11:50:04 -0500

> record length between each record, that does not provide carriage control.

Would not an extension by which the client and server can tell each
other the "type" of a given file suffice? That way the conversions have
to be made before/after the SFTP exchange and there is no need to burden
the protocol with all the issues related to record-oriented files, seek
offset issues, etc...

Nico